Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQEditorFactory Class Reference
[sql module]

The TQEditorFactory class is used to create editor widgets for TQVariant data types. More...

`#include <ntqeditorfactory.h>`

Inherits TQObject.

Inherited by TQSqlEditorFactory.

List of all member functions.

## Public Members

- TQEditorFactory ( TQObject * parent = 0, const char * name = 0 )
- ~TQEditorFactory ()
- virtual TQWidget * createEditor ( TQWidget * parent, const TQVariant & v )

## Static Public Members

- TQEditorFactory * defaultFactory ()
- void installDefaultFactory ( TQEditorFactory * factory )

## Detailed Description

The TQEditorFactory class is used to create editor widgets for TQVariant data types.

Each editor factory provides the createEditor() function which given a TQVariant will create and return a TQWidget that can edit that TQVariant. For example if you have a TQVariant::String type, a TQLineEdit would be the default editor returned, whereas a TQVariant::Int's default editor would be a TQSpinBox.

If you want to create different editors for fields with the same data type, subclass TQEditorFactory and reimplement the createEditor() function.

See also Database Classes.

## Member Function Documentation

### TQEditorFactory::TQEditorFactory ( TQObject * parent = 0, const char * name = 0 )

Constructs an editor factory with parent parent, called name.

### TQEditorFactory::~TQEditorFactory ()

Destroys the object and frees any allocated resources.

### TQWidget * TQEditorFactory::createEditor ( TQWidget * parent, const TQVariant & v )`[virtual]`

Creates and returns the appropriate editor for the TQVariant v. If the TQVariant is invalid, 0 is returned. The parent is passed to the appropriate editor's constructor.

Reimplemented in TQSqlEditorFactory.

### TQEditorFactory * TQEditorFactory::defaultFactory ()`[static]`

Returns an instance of a default editor factory.

### void TQEditorFactory::installDefaultFactory ( TQEditorFactory * factory )`[static]`

Replaces the default editor factory with factory. TQEditorFactory takes ownership of factory, and destroys it when it is no longer needed.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.